Start work on Debianization debian
authorPaul Crowley <paul@lshift.net>
Sun, 08 Mar 2009 23:56:59 +0000
branchdebian
changeset 97 7953788881a4
parent 96 975fb921c3f3
child 99 e99262dfa950
Start work on Debianization
debian/README.Debian
debian/compat
debian/control
debian/copyright
debian/dirs
debian/docs
debian/mercurial-server.doc-base.EX
debian/postinst
debian/postrm
debian/rules
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/README.Debian	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,6 @@
+mercurial-server for Debian
+---------------------------
+
+<possible notes regarding this package - if none, delete this file>
+
+ -- Paul Crowley <paul@maynard>  Sat, 07 Mar 2009 10:12:02 +0000
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/compat	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,1 @@
+7
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/control	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,16 @@
+Source: mercurial-server
+Section: unknown
+Priority: extra
+Maintainer: Paul Crowley <paul@lshift.net>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.7.3
+Homepage: http://hg.opensource.lshift.net/mercurial-server
+
+Package: mercurial-server
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, mercurial
+Description: provide and manage a shared Mercurial repository
+ mercurial-server makes a group of repositories available to the developers
+ you choose, identified by ssh keys, with easy key and access management
+ based on mercurial.
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/copyright	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,6 @@
+This package was debianized by the upstream author Paul Crowley
+<paul@lshift.net> on Sat, 07 Mar 2009 10:12:02 +0000.
+
+Like the package itself, the Debian packaging is (C) LShift Ltd 2008-2009
+and licensed under the GPL v2, or at your option any later version.
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/dirs	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,3 @@
+usr/share/mercurial-server
+etc/mercurial-server
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/docs	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,2 @@
+README
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/mercurial-server.doc-base.EX	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,22 @@
+Document: mercurial-server
+Title: Debian mercurial-server Manual
+Author: <insert document author here>
+Abstract: This manual describes what mercurial-server is
+ and how it can be used to
+ manage online manuals on Debian systems.
+Section: unknown
+
+Format: debiandoc-sgml
+Files: /usr/share/doc/mercurial-server/mercurial-server.sgml.gz
+
+Format: postscript
+Files: /usr/share/doc/mercurial-server/mercurial-server.ps.gz
+
+Format: text
+Files: /usr/share/doc/mercurial-server/mercurial-server.text.gz
+
+Format: HTML
+Index: /usr/share/doc/mercurial-server/html/index.html
+Files: /usr/share/doc/mercurial-server/html/*.html
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postinst	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for mercurial-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postrm	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postrm script for mercurial-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/rules	Sun Mar 08 23:56:59 2009 +0000
@@ -0,0 +1,91 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp  
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+	#docbook-to-man debian/mercurial-server.sgml > mercurial-server.1
+
+	touch $@
+
+clean: 
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	$(MAKE) clean
+
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/mercurial-server.
+	$(MAKE) DESTDIR=$(CURDIR)/debian/mercurial-server install
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure